All Frameworks Object Hierarchy This Framework Indexes Previous Next
Use the HybridShapeFactory object to create a HybridShapePolyline object.
o Property Closure( | ) As boolean |
HybShpPolyline
hybrid shape polyline.
Dim HybShpPolClosure As boolean HybShpPolClosure = HybShpPolyline.Closure
o Property NumberOfElements( | ) As long (Read Only) |
HybShpPolyline
hybrid shape polyline.
Dim HybShpPolNoOfEle As long HybShpPolNoOfEle = HybShpPolyline.NumberOfElements
o Sub GetElement( | long | iPosition, |
Reference | oElement, | |
Length | oRadius) |
HybShpPolyline
hybrid shape polyline.
Dim HybShpPolylineElement As Reference Dim HybShpPolylineRadius As Reference HybShpPolyline.GetElement 1, HybShpPolylineElement,HybShpPolylineRadius
o Sub InsertElement( | Reference | iPoint, |
long | iPosition) |
HybShpPolyline
hybrid shape polyline.
HybShpPolyline.InsertElement PointReference,1
o Sub RemoveElement( | long | iPosition) |
HybShpPolyline
hybrid shape polyline.
HybShpPolyline.RemoveElement 1
o Sub ReplaceElement( | Reference | iPoint, |
long | iPosition) |
HybShpPolyline
hybrid shape polyline.
HybShpPolyline.ReplaceElement PointReference, 1
o Sub SetRadius( | long | iPosition, |
double | iRadius) |
HybShpPolyline
hybrid shape polyline.
HybShpPolyline.SetRadius 1, 10
Copyright © 2003, Dassault Systèmes. All rights reserved.